commit:     d83dffc8fb90ed179bda93116c576b8bddf08725
Author:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
AuthorDate: Wed Jul 10 12:45:42 2024 +0000
Commit:     Alfredo Tupone <tupone <AT> gentoo <DOT> org>
CommitDate: Wed Jul 10 12:45:56 2024 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d83dffc8

dev-ml/ocamlbuild: add 0.15.0

Signed-off-by: Alfredo Tupone <tupone <AT> gentoo.org>

 dev-ml/ocamlbuild/Manifest                 |  1 +
 dev-ml/ocamlbuild/ocamlbuild-0.15.0.ebuild | 51 ++++++++++++++++++++++++++++++
 2 files changed, 52 insertions(+)

diff --git a/dev-ml/ocamlbuild/Manifest b/dev-ml/ocamlbuild/Manifest
index a231aeb15560..fd3a42c7c242 100644
--- a/dev-ml/ocamlbuild/Manifest
+++ b/dev-ml/ocamlbuild/Manifest
@@ -1,2 +1,3 @@
 DIST ocamlbuild-0.14.2.tar.gz 199293 BLAKE2B 
d81613878f93f27c6de41461e6b3cebe0744a5204297725263a608cb129a708aaf6f27b444b97d68f2bde844a760f8e78647641f10eed61e727ef3936562cdea
 SHA512 
f568bf10431a1f701e8bd7554dc662400a0d978411038bbad93d44dceab02874490a8a5886a9b44e017347e7949997f13f5c3752f74e1eb5e273d2beb19a75fd
 DIST ocamlbuild-0.14.3.tar.gz 199357 BLAKE2B 
b839d3757f4c2ce466291e00d2e5a87c51f81cc9e21f252ca7381fed9a4e8468e920d34946cb58c9297a1b98afe231b7eabc3960d68ba99f051891880742d7a6
 SHA512 
def8fa1d5488905fda31f72b7f6f0ebdccefa55a8e984a6ea4a7c1e0856e8ea1f7814410202e0f7f7d5e72aca7e8ae0d6623f7f2bade78b0dd82155de76ec4e5
+DIST ocamlbuild-0.15.0.tar.gz 201971 BLAKE2B 
34c35c48d446d9c5297a9eabf6d4f134fbfdf01aad4eff15804ad7ecd9068527a70c2d9820ce3f7dba41aa88dda215e82074ad0c66df048c512afd60884ec7fd
 SHA512 
c8311a9a78491bf759eb27153d6ba4692d27cd935759a145f96a8ba8f3c2e97cef54e7d654ed1c2c07c74f60482a4fef5224e26d0f04450e69cdcb9418c762d3

diff --git a/dev-ml/ocamlbuild/ocamlbuild-0.15.0.ebuild 
b/dev-ml/ocamlbuild/ocamlbuild-0.15.0.ebuild
new file mode 100644
index 000000000000..43c87eabc97a
--- /dev/null
+++ b/dev-ml/ocamlbuild/ocamlbuild-0.15.0.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Generic build tool with built-in rules for building OCaml library 
and programs"
+HOMEPAGE="https://github.com/ocaml/ocamlbuild";
+SRC_URI="https://github.com/ocaml/ocamlbuild/archive/${PV}.tar.gz -> 
${P}.tar.gz"
+
+LICENSE="LGPL-2.1-with-linking-exception"
+SLOT="0/${PV}"
+KEYWORDS="~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~riscv ~x86 
~amd64-linux ~x86-linux"
+IUSE="+ocamlopt"
+RESTRICT="test"  # Tests fail
+
+RDEPEND=">=dev-lang/ocaml-4.02.3-r1:=[ocamlopt?]"
+DEPEND="${RDEPEND}
+       dev-ml/findlib"
+
+QA_FLAGS_IGNORED='.*'
+src_prepare() {
+       sed -i \
+               -e "/package_exists/s:camlp4.macro:xxxxxx:" \
+               -e "/package_exists/s:menhirLib:xxxxxx:" \
+               testsuite/external.ml || die
+       default
+}
+
+src_configure() {
+       emake -f configure.make Makefile.config \
+               PREFIX="${EPREFIX}/usr" \
+               BINDIR="${EPREFIX}/usr/bin" \
+               LIBDIR="$(ocamlc -where)" \
+               OCAML_NATIVE=$(usex ocamlopt true false) \
+               OCAML_NATIVE_TOOLS=$(usex ocamlopt true false) \
+               NATDYNLINK=$(usex ocamlopt true false)
+}
+
+src_compile() {
+       emake src/ocamlbuild_config.cmo
+       default
+}
+
+src_install() {
+       # OCaml generates textrels on 32-bit arches
+       if use arm || use ppc || use x86 ; then
+               export QA_TEXTRELS='.*'
+       fi
+       emake CHECK_IF_PREINSTALLED=false DESTDIR="${D}" install
+       dodoc Changes
+}

Reply via email to